function MenuSceneManager:set_lobby_character_out_fit( i, outfit_string, rank )
	local outfit = managers.blackmarket:unpack_outfit_from_string( outfit_string )
	print( "MenuSceneManager:set_lobby_character_out_fit", i, outfit_string, inspect(outfit) )

	self:change_lobby_character( i, outfit.character )
	
	local unit = self._lobby_characters[ i ]
	local mask_blueprint = managers.blackmarket:mask_blueprint_from_outfit_string( outfit_string )
	
	self:set_character_mask_by_id( outfit.mask.mask_id, outfit.mask.blueprint, unit, i )
	self:set_character_armor( outfit.armor, unit )
	
--[[
	print( "MenuSceneManager:set_lobby_character_out_fit", i, outfit_string )
	-- local data = string.split( outfit_string, " " )
	self:change_lobby_character( i, data[ managers.blackmarket:outfit_string_index( "character" ) ] )
	local unit = self._lobby_characters[ i ]
	-- self:set_character_mask( tweak_data.blackmarket.masks[ data[1] ].unit, unit )
	local mask_blueprint = managers.blackmarket:mask_blueprint_from_outfit_string( outfit_string )
	self:set_character_mask_by_id( data[ managers.blackmarket:outfit_string_index( "mask" ) ], mask_blueprint, unit, i )
	self:set_character_armor( data[ managers.blackmarket:outfit_string_index( "armor" ) ], unit )
	]]
	
	local is_me = ( i == managers.network:session():local_peer():id() )
	
	local mvec = Vector3()
	local math_up = math.UP
	local pos = Vector3()
	local rot = Rotation()
	
	mrotation.set_yaw_pitch_roll( rot, self._characters_rotation[(is_me and 4 or 0) + i], 0, 0 )
	mvector3.set( pos, self._characters_offset )
	
	if( is_me ) then
		mvector3.set_y( pos, mvector3.y( pos ) + 100 )
	end
	mvector3.rotate_with( pos, rot )
	
	mvector3.set( mvec, pos )
	mvector3.negate( mvec )
	mvector3.set_z( mvec, 0 )
		
	mrotation.set_look_at( rot, mvec, math_up )
	unit:set_position( pos )
	unit:set_rotation( rot )
			
	self:set_lobby_character_visible( i, true )
	-- print( inspect( data ), unit )
	-- self:set_character( data[3], unit )
	-- self:set_character_armor( data[2], unit )
	-- Application:stack_dump()
	print( "MenuSceneManager:set_lobby_character_out_fit done" )
end